--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

USE $(DBNAME)                                                                                                                                                                                     
GO 
CREATE SCHEMA AUTHORIZATION $(CS_SCHEMA)
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS51](
	[CMID] [int] NOT NULL,
	[SERVERGROUP] [nvarchar](256) NULL,
	[RUNASOWNER] [bit] NULL,
	[CANBURST] [bit] NULL,
	[SCHEDTRIGNAME] [nvarchar](256) NULL,
 CONSTRAINT [PK_CMOBJPROPS51] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS52](
	[CMID] [int] NOT NULL,
	[CONNECTSTR] [nvarchar](1024) NULL,
	[ISOLEVEL] [tinyint] NULL,
	[QUALIFIER] [tinyint] NULL,
	[REPLACEMENT] [nvarchar](256) NULL,
	[CLOSECONNECTCMD] [ntext] NULL,
	[OPENCONNECTCMD] [ntext] NULL,
	[CLOSESESSCMD] [ntext] NULL,
	[OPENSESSCMD] [ntext] NULL,
	[NOTIFYONCHANGE] [bit] NULL,
 CONSTRAINT [PK_CMOBJPROPS52] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS53](
	[CMID] [int] NOT NULL,
	[SEQUENCING] [tinyint] NULL,
 CONSTRAINT [PK_CMOBJPROPS53] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS54](
	[CMID] [int] NOT NULL,
	[FORMAT] [tinyint] NULL,
	[OLOCALEID] [smallint] NULL,
 CONSTRAINT [PK_CMOBJPROPS54] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS55](
	[CMID] [int] NOT NULL,
	[ICONURI] [nvarchar](1000) NULL,
	[UCPOLICIES] [image] NULL,
	[HIDDEN] [bit] NOT NULL DEFAULT ((0)),
 CONSTRAINT [PK_CMOBJPROPS55] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS56](
	[CMID] [int] NOT NULL,
	[SPEC] [ntext] NULL,
	[MISSPEC] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS56] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS57](
	[CMID] [int] NOT NULL,
	[SPEC] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS57] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS58](
	[CMID] [int] NOT NULL,
	[PDSELISTAXSCACHE] [int] NULL,
	[PDSSHOWCELLANN] [bit] NULL,
	[PDSMAXPROCS] [int] NULL,
	[PPSHIAFFINECONS] [int] NULL,
	[PPSAFFINECONS] [int] NULL,
	[PPSAUDITLEVEL] [tinyint] NULL,
	[PPSQUEUELIMIT] [int] NULL,
	[PPSEXECTIMELIMIT] [int] NULL,
	[BRSPDFCHARENC] [tinyint] NULL,
	[BRSPDFCOMPRSLVL] [int] NULL,
	[BRSPDFCOMPRSTYPE] [tinyint] NULL,
	[BRSPDFEMBEDFONTS] [tinyint] NULL,
	[RSPDFCHARENC] [tinyint] NULL,
	[RSPDFCOMPRSLVL] [int] NULL,
	[RSPDFCOMPRSTYPE] [tinyint] NULL,
	[RSPDFEMBEDFONTS] [tinyint] NULL,
	[DMSAFFINECONNECTIONS] [int] NULL,
	[DMSEXECUTIONTIMELIMIT] [int] NULL,
	[DMSMAXPROCESSES] [int] NULL,
	[DMSNONAFFINECONNCTS] [int] NULL,
	[DMSPEAKMAXPROCESSES] [int] NULL,
	[DMSPEAKNONAFFINECONNCTS] [int] NULL,
	[DMSQUEUELIMIT] [int] NULL,
	[PERDOCVERSRETAGE] [varchar](50) NULL,
	[PERDOCVERSRETCOUNT] [int] NULL,
	[EDITION] [varchar](20) NULL,
	[EDITIONS] [image] NULL,
	[DIMSAFFINECONNECTIONS] [int] NULL,
	[DIMSEXECUTIONTIMELIMIT] [int] NULL,
	[DIMSMAXPROCESSES] [int] NULL,
	[DIMSQUEUELIMIT] [int] NULL,
	[GLOSSARYURI] [nvarchar](4000) NULL,
 CONSTRAINT [PK_CMOBJPROPS58] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS59](
	[CMID] [int] NOT NULL,
	[CONFIGURATION] [ntext] NULL,
	[USERINTERFACE] [tinyint] NULL,
 CONSTRAINT [PK_CMOBJPROPS59] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS6](
	[CMID] [int] NOT NULL,
	[URI] [nvarchar](4000) NULL,
	[TARGET] [nvarchar](4000) NULL,
	[STEPOBJECT] [nvarchar](4000) NULL,
	[BASE] [nvarchar](4000) NULL,
	[CREDENTIAL] [nvarchar](4000) NULL,
	[DISPATCHERPATH] [nvarchar](4000) NULL,
	[PAGE] [nvarchar](4000) NULL,
	[CREDNAMESPACES] [nvarchar](4000) NULL,
 CONSTRAINT [PK_CMOBJPROPS6] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMSYSPROPS](
	[PROPNAME] [varchar](50) NOT NULL,
	[PROPVALUE] [ntext] NULL,
 CONSTRAINT [PK_CMSYSPROPS] PRIMARY KEY CLUSTERED 
(
	[PROPNAME] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS60](
	[CMID] [int] NOT NULL,
	[CONTEXT] [image] NULL,
	[CONTEXTCOUNT] [int] NULL,
	[LASTPAGE] [nvarchar](256) NULL,
 CONSTRAINT [PK_CMOBJPROPS60] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMCAPACITY](
	[CMPATH] [nvarchar](4000) NOT NULL,
	[CAPACITY] [float] NULL,
	[USAGE] [tinyint] NOT NULL
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS61](
	[CMID] [int] NOT NULL,
	[BURSTKEY] [nvarchar](4000) NULL,
 CONSTRAINT [PK_CMOBJPROPS61] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMCRYPTOKEYS](
	[CRYPTOKEY] [nvarchar](127) NOT NULL,
	[DATA] [image] NULL,
 CONSTRAINT [PK_CMCRYPTOKEYS] PRIMARY KEY CLUSTERED 
(
	[CRYPTOKEY] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS62](
	[CMID] [int] NOT NULL,
	[EXPIRATION] [datetime] NULL,
	[ALLOWANNOTATION] [bit] NULL,
 CONSTRAINT [PK_CMOBJPROPS62] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMCAKEYS](
	[CAKEY] [nvarchar](127) NOT NULL,
	[DATA] [image] NULL,
 CONSTRAINT [PK_CMCAKEYS] PRIMARY KEY CLUSTERED 
(
	[CAKEY] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS63](
	[CMID] [int] NOT NULL,
	[SPEC] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS63] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMCAPROPS](
	[PROPNAME] [varchar](50) NOT NULL,
	[PROPINTVALUE] [int] NOT NULL DEFAULT ((0)),
	[PROPVALUE] [ntext] NULL,
 CONSTRAINT [PK_CMCAPROPS] PRIMARY KEY CLUSTERED 
(
	[PROPNAME] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS64](
	[CMID] [int] NOT NULL,
	[CONTENTTYPE] [varchar](256) NULL,
	[DATASIZE] [int] NULL,
	[DATACOMP] [bit] NOT NULL DEFAULT ((0)),
	[DATAPROP] [image] NULL,
 CONSTRAINT [PK_CMOBJPROPS64] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJECTS](
	[CMID] [int] NOT NULL,
	[PCMID] [int] NOT NULL,
	[VERSION] [int] NOT NULL DEFAULT ((1)),
	[CREATED] [datetime] NOT NULL,
	[MODIFIED] [datetime] NOT NULL,
	[DISABLED] [tinyint] NULL,
	[CLASSID] [tinyint] NOT NULL,
	[DISPSEQ] [int] NOT NULL DEFAULT ((0)),
	[OWNER] [int] NULL,
 CONSTRAINT [PK_CMOBJECTS] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS65](
	[CMID] [int] NOT NULL,
	[BURSTID] [nvarchar](4000) NULL,
	[BURSTIDINDEX] [char](44) NULL,
 CONSTRAINT [PK_CMOBJPROPS65] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS66](
	[CMID] [int] NOT NULL,
	[DEFPORTACT] [tinyint] NULL,
	[SPEC] [ntext] NULL,
	[POWERPLAY8CONFIGURATION] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS66] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJNAMES](
	[CMID] [int] NOT NULL,
	[LOCALEID] [smallint] NOT NULL,
	[MAPDLOCALEID] [smallint] NULL,
	[ISDEFAULT] [bit] NOT NULL,
	[NAME] [nvarchar](256) NOT NULL,
 CONSTRAINT [PK_CMOBJNAMES] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC,
	[LOCALEID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO


SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS67](
	[CMID] [int] NOT NULL,
	[NONPEAKDEMANDBGNH] [int] NULL,
	[PEAKDEMANDBEGINH] [int] NULL,
	[ASPEAKCONS] [int] NULL,
	[BRSPEAKAFFINECONS] [int] NULL,
	[BRSPEAKMAXPROCS] [int] NULL,
	[BRSPEAKNONAFFCONS] [int] NULL,
	[CMSPEAKCONS] [int] NULL,
	[DDSPEAKCONS] [int] NULL,
	[DISPEAKCONS] [int] NULL,
	[DMSPEAKCONS] [int] NULL,
	[DSPEAKCONS] [int] NULL,
	[IDSPEAKCONS] [int] NULL,
	[ISSPEAKCONS] [int] NULL,
	[IUSPEAKCONS] [int] NULL,
	[JSPEAKCONS] [int] NULL,
	[MBSPEAKCONS] [int] NULL,
	[MISPEAKCONS] [int] NULL,
	[MMSPEAKCONS] [int] NULL,
	[PACSPEAKCONS] [int] NULL,
	[PDSPEAKCONS] [int] NULL,
	[PDSPEAKMAXPROCS] [int] NULL,
	[PPSPEAKAFFINECONS] [int] NULL,
	[PPSPEAKNONAFFCONS] [int] NULL,
	[PRSPEAKCONS] [int] NULL,
	[PTSPEAKCONS] [int] NULL,
	[RSPEAKAFFINECONS] [int] NULL,
	[RSPEAKMAXPROCS] [int] NULL,
	[RSPEAKNONAFFCONS] [int] NULL,
	[DIMSNONAFFINECONNCTS] [int] NULL,
	[DIMSPEAKCONS] [int] NULL,
	[DIMSPEAKMAXPROCS] [int] NULL,
	[DIMSPEAKNONAFFINECONNCTS] [int] NULL,
 CONSTRAINT [PK_CMOBJPROPS67] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMDATA](
	[CMID] [int] NOT NULL,
	[CONTENTTYPE] [varchar](256) NULL,
	[DATASIZE] [int] NULL,
	[DATACOMP] [bit] NOT NULL DEFAULT ((0)),
	[DATAPROP] [image] NULL,
 CONSTRAINT [PK_CMDATA] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS68](
	[CMID] [int] NOT NULL,
	[SPEC] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS68] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS69](
	[CMID] [int] NOT NULL,
	[ORD] [int] NOT NULL,
	[PARMNAME] [nvarchar](256) NOT NULL,
	[CPARMVALUE] [image] NULL,
 CONSTRAINT [PK_CMOBJPROPS69] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC,
	[ORD] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMSTOREIDS](
	[CMID] [int] NOT NULL,
	[STOREID] [char](33) NULL,
 CONSTRAINT [PK_CMSTOREIDS] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS7](
	[CMID] [int] NOT NULL,
	[EXECERROR] [ntext] NULL,
	[CONFIGURATION] [ntext] NULL,
	[PORTALPREFS] [ntext] NULL,
	[CCREDENTIALS] [ntext] NULL,
	[CMODEL] [image] NULL,
	[SRC] [ntext] NULL,
	[SPEC] [ntext] NULL,
	[STATE] [ntext] NULL,
	[GOVERNORS] [ntext] NULL,
	[NAMESPFORMAT] [nvarchar](4000) NULL,
 CONSTRAINT [PK_CMOBJPROPS7] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS1](
	[CMID] [int] NOT NULL,
	[BUSPHONE] [varchar](32) NULL,
	[COMMONNAME] [nvarchar](64) NULL,
	[EMAIL] [nvarchar](128) NULL,
	[FAXPHONE] [varchar](32) NULL,
	[GIVENNAME] [nvarchar](64) NULL,
	[HOMEPHONE] [varchar](32) NULL,
	[MOBILEPHONE] [varchar](32) NULL,
	[PAGERPHONE] [varchar](32) NULL,
	[PADDRESS] [nvarchar](256) NULL,
	[SURNAME] [nvarchar](64) NULL,
	[TIMEZONE] [nvarchar](64) NULL,
	[CLOCALEID] [smallint] NULL,
	[PRODLOCALE] [varchar](64) NULL,
	[OBJID] [nvarchar](1024) NULL,
	[USEACCESSIBILITY] [bit] NOT NULL DEFAULT ((0)),
	[USERNAME] [nvarchar](64) NULL,
	[ORIENTATION] [tinyint] NULL,
	[HORIZRENDERLIMIT] [int] NULL,
	[VERTRENDERLIMIT] [int] NULL,
	[MOBILEDEVID] [nvarchar](256) NULL,
	[NOTIFICATIONEMAIL] [nvarchar](256) NULL,
 CONSTRAINT [PK_CMOBJPROPS1] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS70](
	[CMID] [int] NOT NULL,
	[CONTEXT] [ntext] NULL,
	[DEPLOYREFS] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS70] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS10](
	[CMID] [int] NOT NULL,
	[CONTACTEMAIL] [varchar](128) NULL,
	[CONTACT] [nvarchar](4000) NULL,
 CONSTRAINT [PK_CMOBJPROPS10] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS71](
	[CMID] [int] NOT NULL,
	[CONTEXT] [ntext] NULL,
	[DEPLOYREFS] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS71] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS11](
	[CMID] [int] NOT NULL,
	[STATUSID] [tinyint] NULL,
	[EVENTID] [varchar](45) NULL,
	[OWNEREVENTID] [varchar](45) NULL,
	[DISPATCHERID] [varchar](50) NULL,
	[MAXDETAILSEVTY] [tinyint] NULL,
	[SCHEDTRIGNAME] [nvarchar](256) NULL,
	[SCHEDTYPE] [tinyint] NULL,
	[RESTARTEVENTID] [varchar](45) NULL,
 CONSTRAINT [PK_CMOBJPROPS11] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS72](
	[CMID] [int] NOT NULL,
	[CONTEXT] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS72] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS13](
	[CMID] [int] NOT NULL,
	[ORD] [int] NOT NULL,
	[PARMNAME] [nvarchar](256) NOT NULL,
	[CPARMVALUE] [image] NULL,
 CONSTRAINT [PK_CMOBJPROPS13] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC,
	[ORD] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS73](
	[CMID] [int] NOT NULL,
	[ALIASROOT] [nvarchar](256) NULL,
	[URI] [nvarchar](4000) NULL,
	[UNIXURI] [nvarchar](4000) NULL,
	[WINDOWSURI] [nvarchar](4000) NULL,
 CONSTRAINT [PK_CMOBJPROPS73] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS14](
	[CMID] [int] NOT NULL,
	[RELATED] [ntext] NULL,
	[MYPAGE] [ntext] NULL,
	[RETENTION] [ntext] NULL,
	[RECIPSEMAIL] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS14] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS9](
	[CMID] [int] NOT NULL,
	[ASOFTIME] [datetime] NULL,
	[CANBURST] [bit] NULL,
 CONSTRAINT [PK_CMOBJPROPS9] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS15](
	[CMID] [int] NOT NULL,
	[BRSHIAFFINECONS] [int] NULL,
	[BRSAFFINECONS] [int] NULL,
	[BRSMAXPROCS] [int] NULL,
	[METADATAMODEL] [nvarchar](4000) NULL,
	[BRSEXECTIMELIMIT] [int] NULL,
	[BRSDATASOURCECHG] [datetime] NULL,
 CONSTRAINT [PK_CMOBJPROPS15] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMPOLICIES](
	[CMID] [int] NOT NULL,
	[POLICIES] [image] NULL,
 CONSTRAINT [PK_CMPOLICIES] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS16](
	[CMID] [int] NOT NULL,
	[RSHIAFFINECONS] [int] NULL,
	[RSAFFINECONS] [int] NULL,
	[RSMAXPROCS] [int] NULL,
	[RSQUEUELIMIT] [int] NULL,
	[RUNNINGSTATE] [tinyint] NULL,
	[ADVSETTINGS] [nvarchar](4000) NULL,
	[RSEXECTIMELIMIT] [int] NULL,
	[ROUTINGTABLE] [image] NULL,
 CONSTRAINT [PK_CMOBJPROPS16] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMVIEWED](
	[CMID] [int] NOT NULL,
	[OBJID] [nvarchar](4000) NOT NULL DEFAULT ('-'),
	[VIEWED] [bit] NOT NULL DEFAULT ((0)),
 CONSTRAINT [PK_CMVIEWED] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS17](
	[CMID] [int] NOT NULL,
	[NONPEAKBEGINHOUR] [tinyint] NULL,
	[NONPEAKMAXJOBS] [int] NULL,
	[PEAKBEGINHOUR] [tinyint] NULL,
	[PEAKMAXJOBS] [int] NULL,
	[NEWNONPEAKBEGINHOUR] [tinyint] NULL,
	[NEWNONPEAKMAXJOBS] [int] NULL,
	[NEWPEAKBEGINHOUR] [tinyint] NULL,
	[NEWPEAKMAXJOBS] [int] NULL,
	[USERCAPABILITY] [tinyint] NULL,
	[STARTACTIVE] [bit] NULL,
	[COMPONENTID] [tinyint] NULL,
	[PREVIMGLOCATION] [nvarchar](256) NULL,
	[RESRCELOCATION] [nvarchar](256) NULL,
 CONSTRAINT [PK_CMOBJPROPS17] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS18](
	[CMID] [int] NOT NULL,
	[OUTPUTREFS] [ntext] NULL,
	[PATHS] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS18] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMGUIDS](
	[CMID] [int] NOT NULL,
	[GUID] [varchar](50) NULL,
 CONSTRAINT [PK_CMGUIDS] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO


SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS2](
	[CMID] [int] NOT NULL,
	[TASKID] [varchar](32) NULL,
	[STARTDATE] [datetime] NULL,
	[ENDDATE] [datetime] NULL,
	[ENDTYPE] [tinyint] NULL,
	[EVERYNPERIODS] [int] NULL,
	[DAILYPERIOD] [tinyint] NULL,
	[MONTHLYABSDAY] [tinyint] NULL,
	[MONTHLYRELDAY] [tinyint] NULL,
	[MONTHLYRELWEEK] [tinyint] NULL,
	[TYPE] [tinyint] NULL,
	[YEARLYABSDAY] [tinyint] NULL,
	[YEARLYABSMONTH] [tinyint] NULL,
	[YEARLYRELDAY] [tinyint] NULL,
	[YEARLYRELMONTH] [tinyint] NULL,
	[YEARLYRELWEEK] [tinyint] NULL,
	[ACTIVE] [bit] NOT NULL DEFAULT ((0)),
	[WEEKLYMONDAY] [bit] NOT NULL DEFAULT ((0)),
	[WEEKLYTUESDAY] [bit] NOT NULL DEFAULT ((0)),
	[WEEKLYWEDNESDAY] [bit] NOT NULL DEFAULT ((0)),
	[WEEKLYTHURSDAY] [bit] NOT NULL DEFAULT ((0)),
	[WEEKLYFRIDAY] [bit] NOT NULL DEFAULT ((0)),
	[WEEKLYSATURDAY] [bit] NOT NULL DEFAULT ((0)),
	[WEEKLYSUNDAY] [bit] NOT NULL DEFAULT ((0)),
	[PRIORITY] [int] NULL,
 CONSTRAINT [PK_CMOBJPROPS2] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMPROPERTIES](
	[PROPID] [smallint] NOT NULL,
	[NAME] [varchar](50) NOT NULL,
	[DEF] [image] NULL,
 CONSTRAINT [PK_CMPROPERTIES] PRIMARY KEY CLUSTERED 
(
	[PROPID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMCLASSES](
	[CLASSID] [tinyint] NOT NULL,
	[NAME] [varchar](50) NOT NULL,
	[USAGE] [tinyint] NULL,
	[DEF] [image] NULL,
 CONSTRAINT [PK_CMCLASSES] PRIMARY KEY CLUSTERED 
(
	[CLASSID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMLOCALES](
	[LOCALEID] [smallint] NOT NULL,
	[MAPDLOCALEID] [smallint] NOT NULL,
	[LOCALE] [varchar](20) NOT NULL,
 CONSTRAINT [PK_CMLOCALES] PRIMARY KEY CLUSTERED 
(
	[LOCALEID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMREFNOORD1](
	[PROPID] [smallint] NOT NULL,
	[CMID] [int] NOT NULL,
	[REFCMID] [int] NOT NULL,
 CONSTRAINT [PK_CMREFNOORD1] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC,
	[PROPID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMREFORD1](
	[PROPID] [smallint] NOT NULL,
	[CMID] [int] NOT NULL,
	[ORD] [int] NOT NULL,
	[REFCMID] [int] NOT NULL,
 CONSTRAINT [PK_CMREFORD1] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC,
	[PROPID] ASC,
	[ORD] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS20](
	[CMID] [int] NOT NULL,
	[EXECLOCALEID] [smallint] NULL,
	[EXECFORMAT] [tinyint] NULL,
	[EXECPAGEORIENT] [tinyint] NULL,
	[EXECPROMPT] [bit] NOT NULL DEFAULT ((1)),
	[DEFPORTACT] [tinyint] NULL,
	[ALLOWSUBSCRIBE] [bit] NULL,
	[ALLOWNOTIFICATION] [bit] NULL,
 CONSTRAINT [PK_CMOBJPROPS20] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMREFORD2](
	[CMID] [int] NOT NULL,
	[ORD] [int] NOT NULL,
	[REFCMID] [int] NOT NULL,
 CONSTRAINT [PK_CMREFORD2] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC,
	[ORD] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS23](
	[CMID] [int] NOT NULL,
	[LSAUDITADMINLVL] [tinyint] NULL,
	[LSAUDITLVL] [tinyint] NULL,
	[LSAUDITOTHERLVL] [tinyint] NULL,
	[LSAUDITUSAGELVL] [tinyint] NULL,
	[LSAUDITNATIVEQRY] [bit] NULL,
 CONSTRAINT [PK_CMOBJPROPS23] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMREFNOORD2](
	[CMID] [int] NOT NULL,
	[REFCMID] [int] NOT NULL,
 CONSTRAINT [PK_CMREFNOORD2] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS24](
	[CMID] [int] NOT NULL,
	[LOCATION] [nvarchar](512) NULL,
	[MODELNAME] [nvarchar](256) NULL,
	[PRINTERADDRESS] [nvarchar](2048) NULL,
 CONSTRAINT [PK_CMOBJPROPS24] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMNOTIFICATIONTABLE](
	[STOREID] [char](33) NOT NULL,
	[OPERATION] [varchar](25) NOT NULL,
	[CLASSNAME] [varchar](25) NOT NULL,
	[EVENTTIME] [datetime] NOT NULL,
 CONSTRAINT [PK_CMNOTIFICATION] PRIMARY KEY CLUSTERED 
(
	[STOREID] ASC,
	[OPERATION] ASC,
	[EVENTTIME] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS25](
	[CMID] [int] NOT NULL,
	[DEPLOYOBJECT] [nvarchar](4000) NULL,
	[DEPLOYOBJANC] [ntext] NULL,
	[DEPLOYOBJCLASSID] [tinyint] NULL,
	[DEPLOYOBJDEFNAME] [nvarchar](256) NULL,
	[DEPLOYOBJDEFSTATUS] [tinyint] NULL,
	[DEPLOYOBJUSAGE] [tinyint] NULL,
	[MESSAGE] [image] NULL,
 CONSTRAINT [PK_CMOBJPROPS25] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE $(CS_SCHEMA).[CMPARSEIDS] @QUERYID int, @IDS image AS
SET NOCOUNT ON
DECLARE @IMAGESIZE AS int
DECLARE @CURPOS AS int
SELECT @CURPOS=0
SELECT @IMAGESIZE = DATALENGTH(@IDS)
WHILE @CURPOS < @IMAGESIZE
BEGIN
INSERT INTO #CMTMPIDS (QUERYID,CMID) SELECT @QUERYID, CAST(SUBSTRING(@IDS, @CURPOS+1, 4) AS int)
SELECT @CURPOS=@CURPOS+4
END

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE $(CS_SCHEMA).[CMPARSECOPYIDS] @QUERYID int, @GROUPID int, @SOURCEIDS image, @TARGETIDS image AS
SET NOCOUNT ON
DECLARE @SOURCEIMAGESIZE AS int
DECLARE @CURPOS AS int
SELECT @CURPOS=0
SELECT @SOURCEIMAGESIZE = DATALENGTH(@SOURCEIDS)
WHILE @CURPOS < @SOURCEIMAGESIZE
BEGIN
INSERT INTO #CMTMPCOPYIDS (QUERYID,GROUPID,SOURCECMID, TARGETCMID) SELECT @QUERYID, @GROUPID,  CAST(SUBSTRING(@SOURCEIDS, @CURPOS+1, 4) AS int), CAST(SUBSTRING(@TARGETIDS, @CURPOS+1, 4) AS int)
SELECT @CURPOS=@CURPOS+4
END

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS26](
	[CMID] [int] NOT NULL,
	[DELIVOPTIONS] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS26] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS33](
	[CMID] [int] NOT NULL,
	[NAME] [nvarchar](256) NULL,
 CONSTRAINT [PK_CMOBJPROPS33] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_MESSAGESTRUCT](
	[PK_MS_ID] [int] NOT NULL,
	[FK_DYNREC_ID] [int] NULL,
	[NAME] [nvarchar](255) NULL,
	[DESCRIPTION] [nvarchar](1000) NULL,
	[SOURCE] [nvarchar](100) NULL,
	[SUBJECT] [nvarchar](210) NULL,
	[MODCOUNT] [int] NULL DEFAULT ((-1)),
	[LASTMOD_BY] [varchar](50) NULL,
	[CHANNEL_TYPE] [int] NULL,
	[CONTACT] [nvarchar](50) NULL,
	[CREDENTIAL] [nvarchar](1024) NULL,
	[AVOID_DUPLICATION] [int] NOT NULL DEFAULT ((0)),
 CONSTRAINT [PN_MESSAGESTRUCT] PRIMARY KEY CLUSTERED 
(
	[PK_MS_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS34](
	[CMID] [int] NOT NULL,
	[ACTION] [tinyint] NULL,
	[BOOKMARKITEM] [nvarchar](256) NULL,
	[BOOKMARKTEXT] [nvarchar](256) NULL,
	[DRILLPARMASSIGN] [image] NULL,
	[SCOPE] [image] NULL,
	[SPEC] [ntext] NULL,
	[TARGETOPTIONS] [ntext] NULL,
	[DEPLOYREFS] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS34] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_METRICS](
	[NAME] [nvarchar](255) NOT NULL,
	[LASTMOD_TIME] [numeric](19, 0) NOT NULL DEFAULT ((0)),
	[VALUE] [numeric](19, 0) NOT NULL DEFAULT ((0)),
	[ACTIVE] [int] NOT NULL DEFAULT ((0)),
 CONSTRAINT [PN_METRICS] PRIMARY KEY CLUSTERED 
(
	[NAME] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS35](
	[CMID] [int] NOT NULL,
	[BINDINGNAME] [nvarchar](256) NULL,
	[INPUTMESSNAME] [nvarchar](256) NULL,
	[OPERATIONNAME] [nvarchar](256) NULL,
	[OUTPUTMESSNAME] [nvarchar](256) NULL,
	[SERVICENAME] [nvarchar](256) NULL,
	[BULKEVENTS] [bit] NULL,
 CONSTRAINT [PK_CMOBJPROPS35] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS36](
	[CMID] [int] NOT NULL,
	[ACTION] [tinyint] NULL,
 CONSTRAINT [PK_CMOBJPROPS36] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_OBJECTCATALOGUE](
	[PK_OID] [int] NOT NULL,
	[NAME] [nvarchar](255) NULL,
	[DESCRIPTION] [nvarchar](1000) NULL,
	[SUBTYPE] [smallint] NULL,
	[TYPE] [int] NOT NULL,
	[MODCOUNT] [int] NULL DEFAULT ((-1)),
	[CM_VERSION] [int] NULL DEFAULT ((-1)),
 CONSTRAINT [PN_OBJECTCATALOGUE] PRIMARY KEY CLUSTERED 
(
	[PK_OID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS37](
	[CMID] [int] NOT NULL,
	[ROUTINGHINTS] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS37] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS38](
	[CMID] [int] NOT NULL,
	[CTITEMCOUNTDEFAULT] [int] NULL,
	[CTITEMCOUNTLIMIT] [int] NULL,
	[MBRITEMCOUNTDEFAULT] [int] NULL,
	[MBRITEMCOUNTLIMIT] [int] NULL,
 CONSTRAINT [PK_CMOBJPROPS38] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_OBJECTID](
	[OBJECTID] [int] NOT NULL,
 CONSTRAINT [PN_NC_OBJECTID] PRIMARY KEY CLUSTERED 
(
	[OBJECTID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_PERMISSION](
	[PK_PERMISSION_ID] [int] NOT NULL,
	[DESCRIPTION] [varchar](30) NOT NULL,
 CONSTRAINT [PN_PERMISSION] PRIMARY KEY CLUSTERED 
(
	[PK_PERMISSION_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS39](
	[PROPID] [smallint] NOT NULL,
	[CMID] [int] NOT NULL,
	[VALUE] [tinyint] NOT NULL
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_RECIPIENT](
	[PK_RECIPIENT_ID] [int] NOT NULL,
	[NAME] [nvarchar](255) NULL,
	[DESCRIPTION] [nvarchar](1000) NULL,
	[LASTMOD_BY] [char](40) NULL,
	[LASTMOD_TIME] [datetime] NOT NULL DEFAULT (getdate()),
	[MODCOUNT] [int] NULL DEFAULT ((-1)),
	[TITLE] [nvarchar](10) NULL,
	[FIRSTNAME] [nvarchar](50) NULL,
	[MIDDLENAME] [nvarchar](50) NULL,
	[LASTNAME] [nvarchar](50) NULL,
	[PHONENUMBER] [nvarchar](50) NULL,
	[JOBTITLE] [nvarchar](50) NULL,
	[COMPANY] [nvarchar](255) NULL,
	[DEPARTMENT] [nvarchar](255) NULL,
	[OFFICE] [nvarchar](255) NULL,
	[COUNTRY] [nvarchar](50) NULL,
	[TIMEZONE] [nvarchar](50) NULL,
	[TO_REDIRECT] [int] NOT NULL,
	[FK_REDIRECT_RID] [int] NULL,
	[FK_REDIRECT_RGID] [int] NULL,
	[IS_EXTERNAL] [int] NULL,
	[IS_USEDEFAULTADDRESS] [int] NULL,
 CONSTRAINT [PN_RECIPIENT] PRIMARY KEY CLUSTERED 
(
	[PK_RECIPIENT_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS4](
	[CMID] [int] NOT NULL,
	[HEIGHT] [varchar](20) NULL,
	[WIDTH] [varchar](20) NULL,
	[UNIT] [tinyint] NULL,
 CONSTRAINT [PK_CMOBJPROPS4] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS40](
	[CMID] [int] NOT NULL,
	[APPGUID] [varchar](50) NULL,
	[APPID] [nvarchar](256) NULL,
	[APPSTATE] [tinyint] NULL,
	[APPURL] [nvarchar](4000) NULL,
 CONSTRAINT [PK_CMOBJPROPS40] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_SCHEDULE](
	[PK_SCHEDULE_ID] [int] NOT NULL,
	[NAME] [nvarchar](255) NULL,
	[DESCRIPTION] [nvarchar](1000) NULL,
	[LASTMOD_BY] [char](40) NULL,
	[LASTMOD_TIME] [datetime] NOT NULL DEFAULT (getdate()),
	[MODCOUNT] [int] NULL DEFAULT ((-1)),
	[SCHEDULE_TYPE] [char](6) NULL,
	[TIMEZONE] [varchar](100) NULL,
	[START_DATE] [numeric](19, 0) NULL,
	[END_DATE] [numeric](19, 0) NULL,
	[REPEAT_FOREVER] [int] NULL,
	[ACTIVE] [int] NULL,
	[VALID_SCHEDULE] [int] NULL,
	[USE_DAY_NUMBER] [int] NULL,
	[DAY_OF_MONTH] [int] NULL,
	[DAY_OF_WEEK] [int] NULL,
	[DAY_OF_WEEK_IN_MONTH] [int] NULL,
	[MONTH_OF_YEAR] [int] NULL,
	[REPEAT_INTERVAL] [int] NULL,
	[DAYS_OF_WEEK] [int] NULL,
	[FIXED_INTERVAL_TYPE] [int] NULL,
	[FIXED_INTERVAL_IN_MILLIS] [numeric](19, 0) NULL,
	[TRIGGER_ID] [nvarchar](255) NULL,
	[PERIODICAL_PRODUCER_ID] [char](33) NULL,
 CONSTRAINT [PN_SCHEDULE] PRIMARY KEY CLUSTERED 
(
	[PK_SCHEDULE_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS41](
	[CMID] [int] NOT NULL,
	[DEPTH] [int] NULL,
	[ITEMID] [nvarchar](256) NULL,
	[PARENTID] [nvarchar](256) NULL,
 CONSTRAINT [PK_CMOBJPROPS41] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_SCHEDULE_QUEUE](
	[SCHEDULE_ID] [int] NOT NULL,
	[RUN_DATE] [numeric](19, 0) NULL,
 CONSTRAINT [PN_SCHEDULE_QUEUEI] PRIMARY KEY CLUSTERED 
(
	[SCHEDULE_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS42](
	[CMID] [int] NOT NULL,
	[SPEC] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS42] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_SDS_INSTANCE](
	[PK_INSTANCE_ID] [char](32) NOT NULL,
	[PK_INSTANCE_URL] [nvarchar](255) NOT NULL,
	[LAST_UPDATE] [numeric](18, 0) NOT NULL,
	[CLEANUP_INSTANCE_ID] [char](32) NULL,
 CONSTRAINT [PN_SDS_INSTANCE] PRIMARY KEY CLUSTERED 
(
	[PK_INSTANCE_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_TASK](
	[PK_TASK_ID] [int] NOT NULL,
	[NAME] [nvarchar](255) NULL,
	[DESCRIPTION] [nvarchar](1000) NULL,
	[FK_BIE_ID] [int] NULL,
	[THRESHOLD] [int] NULL,
	[WEIGHTS] [nvarchar](200) NULL,
	[TASK_TYPE] [int] NULL,
	[DATEFORMAT] [char](19) NULL,
	[DETECTION_OPTION] [int] NULL,
	[LASTMOD_TIME] [datetime] NULL DEFAULT (getdate()),
	[MODCOUNT] [int] NULL DEFAULT ((-1)),
	[LASTMOD_BY] [char](40) NULL,
	[LOCATION_ROOT] [nvarchar](256) NULL,
	[OBJECT_CLASS] [nvarchar](256) NULL,
	[OWNED_BY] [nvarchar](256) NULL,
 CONSTRAINT [PN_TASK] PRIMARY KEY CLUSTERED 
(
	[PK_TASK_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS43](
	[CMID] [int] NOT NULL,
	[SPEC] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS43] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS44](
	[CMID] [int] NOT NULL,
	[RDSGATEWMAPPING] [image] NULL,
 CONSTRAINT [PK_CMOBJPROPS44] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS45](
	[CMID] [int] NOT NULL,
	[LINK] [tinyint] NULL,
 CONSTRAINT [PK_CMOBJPROPS45] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_SCHEDULED_EVENT_OVERRIDE](
	[FK_TASKSCHEDULE_ID] [int] NOT NULL,
	[EVENT_DATE] [numeric](19, 0) NOT NULL,
	[EVENT_STATUS] [int] NULL,
	[EVENT_PRIORITY] [int] NULL,
	[FK_SCHEDULE_ID] [int] NULL,
	[CANCELLED_BY] [nvarchar](2000) NULL,
 CONSTRAINT [PN_EVENT_DATES] PRIMARY KEY CLUSTERED 
(
	[FK_TASKSCHEDULE_ID] ASC,
	[EVENT_DATE] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS46](
	[CMID] [int] NOT NULL,
	[DOCTYPE] [nvarchar](256) NULL,
 CONSTRAINT [PK_CMOBJPROPS46] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_TASK_ANCESTOR_STOREIDS](
	[TASK_ID] [char](45) NOT NULL,
	[ANCESTOR_STORE_ID] [nvarchar](256) NOT NULL,
 CONSTRAINT [PK_ANCESTOR_IDS] PRIMARY KEY CLUSTERED 
(
	[TASK_ID] ASC,
	[ANCESTOR_STORE_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_TASK_HISTORY_DETAIL](
	[TASK_ID] [char](45) NOT NULL,
	[SUB_INDEX] [int] NOT NULL,
	[SEVERITY] [int] NULL,
	[CLASSTYPE] [char](128) NULL,
	[TASK] [image] NULL,
	[STATUS] [int] NOT NULL DEFAULT ((0)),
 CONSTRAINT [PN_TASK_HD] PRIMARY KEY CLUSTERED 
(
	[TASK_ID] ASC,
	[SUB_INDEX] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS47](
	[CMID] [int] NOT NULL,
	[SYSTEMMETRIC] [tinyint] NULL,
	[PROPERTIES] [image] NULL,
 CONSTRAINT [PK_CMOBJPROPS47] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_TASK_PROPERTY](
	[TASK_ID] [char](45) NOT NULL,
	[PROP_NAME] [char](45) NOT NULL,
	[PROP_VALUE] [nvarchar](2000) NULL,
 CONSTRAINT [PN_TASK_PROPERTY] PRIMARY KEY CLUSTERED 
(
	[TASK_ID] ASC,
	[PROP_NAME] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS48](
	[CMID] [int] NOT NULL,
	[ASCONNECTIONS] [int] NULL,
	[CMSCONNECTIONS] [int] NULL,
	[DDSCONNECTIONS] [int] NULL,
	[DISCONNECTIONS] [int] NULL,
	[DSCONNECTIONS] [int] NULL,
	[IDSCONNECTIONS] [int] NULL,
	[ISSCONNECTIONS] [int] NULL,
	[IUSCONNECTIONS] [int] NULL,
	[JSCONNECTIONS] [int] NULL,
	[MBSCONNECTIONS] [int] NULL,
	[MMSCONNECTIONS] [int] NULL,
	[PACSCONNECTIONS] [int] NULL,
	[PRSCONNECTIONS] [int] NULL,
	[PTSCONNECTIONS] [int] NULL,
	[BRSCHHOTSPOTLIMIT] [int] NULL,
	[RSCHHOTSPOTLIMIT] [int] NULL,
	[CAPACITY] [float] NULL,
	[LOADBALMODE] [tinyint] NULL,
	[DMSCONNECTIONS] [int] NULL,
	[MISCONNECTIONS] [int] NULL,
	[PDSCONNECTIONS] [int] NULL,
	[DSCOMPATTACHLIMIT] [int] NULL,
 CONSTRAINT [PK_CMOBJPROPS48] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_TASK_QUEUE](
	[TASK_ID] [char](45) NOT NULL,
	[SERVICE_NAME] [nvarchar](40) NULL,
	[SERVER_GROUP] [nvarchar](40) NULL,
	[DATE_ENTERED] [numeric](18, 0) NOT NULL,
	[TASK] [image] NULL,
	[STATUS] [int] NOT NULL,
	[PRIORITY] [int] NOT NULL,
	[RESTART_ID] [char](45) NULL,
	[SDS_INSTANCE_ID] [char](32) NULL,
	[HISTORY_STORE_ID] [char](34) NULL,
	[ACTUAL_EXECUTION_TIME] [numeric](18, 0) NULL,
	[ACTUAL_COMPLETION_TIME] [numeric](18, 0) NULL,
	[DISPATCHER_ID] [char](45) NULL,
	[SCHEDULE_TRIGGER_NAME] [nvarchar](255) NULL,
	[SCHEDULE_TYPE] [char](15) NULL,
	[ACCOUNT_PATH] [nvarchar](1024) NULL,
	[STOREID] [char](34) NULL,
	[OBJECT_CLASS] [char](64) NULL,
	[OWNER_STOREID] [nvarchar](256) NULL,
 CONSTRAINT [PN_TASK_QUEUE] PRIMARY KEY CLUSTERED 
(
	[TASK_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_TSE_STATE_MAP](
	[TASK_ID] [char](45) NOT NULL,
	[STATUS] [int] NULL,
	[SEQ] [int] NULL,
	[STEP_COUNT] [int] NULL,
	[CUR_SEQ] [int] NULL,
	[COUNT_SEQ] [int] NULL,
	[STOP_ON_ERROR] [int] NULL,
	[RUN_VIA_MS] [int] NULL,
	[STEP_FAILED] [int] NULL,
	[SEQ_ON_END] [int] NULL,
	[WRITE_ALL_HISTORIES] [int] NULL,
	[FAIL_STATUS] [int] NULL,
	[PARENT_ID] [char](45) NULL,
	[EXECUTING] [int] NOT NULL DEFAULT ((0)),
	[MODCOUNT] [int] NOT NULL DEFAULT ((-1)),
 CONSTRAINT [PN_TSE_STATE_MAP] PRIMARY KEY CLUSTERED 
(
	[TASK_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS49](
	[CMID] [int] NOT NULL,
	[URI] [nvarchar](4000) NULL,
 CONSTRAINT [PK_CMOBJPROPS49] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS5](
	[CMID] [int] NOT NULL,
	[ACTEXECTIME] [datetime] NULL,
	[ACTCOMPTIME] [datetime] NULL,
	[REQEXECTIME] [datetime] NULL,
	[USERREF] [nvarchar](4000) NULL,
	[DETAILTIME] [datetime] NULL,
	[DETAIL] [ntext] NULL,
	[SEVERITY] [tinyint] NULL,
 CONSTRAINT [PK_CMOBJPROPS5] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS30](
	[CMID] [int] NOT NULL,
	[HANDLE] [nvarchar](255) NULL,
	[BINDING] [ntext] NULL,
	[REGISTRATION] [ntext] NULL,
	[SERVICEDESCR] [ntext] NULL,
	[LAYOUT] [ntext] NULL,
	[REQUIREDCAP] [ntext] NULL,
	[CANCUSTOMIZE] [bit] NULL,
	[CONTEXT] [ntext] NULL,
	[DEPLOYREFS] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS30] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_EVENTSTATUS](
	[PK_EVENT_ID] [char](45) NOT NULL,
	[EVENT_STATUS] [int] NOT NULL,
	[CONVERSATION] [int] NULL,
	[SDS_INSTANCE_ID] [char](32) NULL,
 CONSTRAINT [PN_NC_EVENTSTATUS] PRIMARY KEY CLUSTERED 
(
	[PK_EVENT_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_JMSQUEUE](
	[QUEUE_ENTRY_ID] [int] NOT NULL,
	[QUEUE_NAME] [nvarchar](50) NULL,
	[QUEUE_ENTRY] [image] NULL,
	[SDS_INSTANCE_ID] [char](32) NULL,
	[DATE_ENTERED] [numeric](18, 0) NOT NULL,
	[REDELIVER_DATE] [numeric](19, 0) NULL,
	[REDELIVER_COUNT] [int] NULL DEFAULT ((0)),
 CONSTRAINT [PN_NC_JMSQUEUE] PRIMARY KEY CLUSTERED 
(
	[QUEUE_ENTRY_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS31](
	[CMID] [int] NOT NULL,
	[ASAUDITLVL] [tinyint] NULL,
	[BRSAUDITLVL] [tinyint] NULL,
	[CMSAUDITLVL] [tinyint] NULL,
	[DISPAUDITLVL] [tinyint] NULL,
	[DSAUDITLVL] [tinyint] NULL,
	[EMSAUDITLVL] [tinyint] NULL,
	[JSAUDITLVL] [tinyint] NULL,
	[MDSAUDITLVL] [tinyint] NULL,
	[MMSAUDITLVL] [tinyint] NULL,
	[MSAUDITLVL] [tinyint] NULL,
	[PACSAUDITLVL] [tinyint] NULL,
	[PDSAUDITLVL] [tinyint] NULL,
	[PRSAUDITLVL] [tinyint] NULL,
	[PSAUDITLVL] [tinyint] NULL,
	[PTSAUDITLVL] [tinyint] NULL,
	[RSAUDITLVL] [tinyint] NULL,
	[SSAUDITLVL] [tinyint] NULL,
	[BRSAUDITNATIVEQRY] [bit] NULL,
	[RSAUDITNATIVEQRY] [bit] NULL,
	[DISAUDITLVL] [tinyint] NULL,
	[RSDATASOURCECHG] [datetime] NULL,
	[IDSAUDITLVL] [tinyint] NULL,
	[ISSAUDITLVL] [tinyint] NULL,
	[IUSAUDITLVL] [tinyint] NULL,
	[RDSAUDITLVL] [tinyint] NULL,
	[RDSMAXDATASIZE] [int] NULL,
	[MBSAUDITLVL] [tinyint] NULL,
	[DDSAUDITLVL] [tinyint] NULL,
	[DDSLISPERPRCSR] [int] NULL,
	[DMSAUDITLVL] [tinyint] NULL,
	[MISAUDITLVL] [tinyint] NULL,
	[MDSAFFINECONNECTIONS] [int] NULL,
	[MDSNONAFFINECONNCTS] [int] NULL,
	[MDSPEAKCONS] [int] NULL,
	[MDSPEAKNONAFFINECONNCTS] [int] NULL,
	[MDSPEAKMAXPROCS] [int] NULL,
	[MDSMAXPROCESSES] [int] NULL,
	[MDSEXECUTIONTIMELIMIT] [int] NULL,
	[MDSQUEUELIMIT] [int] NULL,
	[MDINFOURI] [nvarchar](4000) NULL,
	[DIMSAUDITLVL] [tinyint] NULL,
 CONSTRAINT [PK_CMOBJPROPS31] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_JOBQUEUE](
	[PK_RUN_ID] [char](45) NOT NULL,
	[SERVICE_NAME] [char](40) NULL,
	[SERVER_GROUP] [char](40) NULL,
	[DATE_ENTERED] [numeric](18, 0) NOT NULL,
	[JOB] [image] NOT NULL,
 CONSTRAINT [PN_JOBQUEUE] PRIMARY KEY CLUSTERED 
(
	[PK_RUN_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS32](
	[CMID] [int] NOT NULL,
	[STOREDPROCNAME] [nvarchar](256) NULL,
 CONSTRAINT [PK_CMOBJPROPS32] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS50](
	[CMID] [int] NOT NULL,
	[CONTEXT] [image] NULL,
	[CONTEXTCOUNT] [int] NULL,
	[LASTPAGE] [nvarchar](256) NULL,
 CONSTRAINT [PK_CMOBJPROPS50] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[R_NEWSITEMS_NCOBJECTS](
	[NID] [char](32) NOT NULL,
	[FK_NCID] [int] NOT NULL,
	[TYPE] [smallint] NULL,
 CONSTRAINT [PR_NEWSITEMS_NCOBJ] PRIMARY KEY CLUSTERED 
(
	[NID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMDATAUPGRADE](
	[PLUGINNAME] [varchar](255) NOT NULL,
	[VERSION] [varchar](64) NULL,
 CONSTRAINT [PK_CMDATAUPGRADE] PRIMARY KEY CLUSTERED 
(
	[PLUGINNAME] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS27](
	[CMID] [int] NOT NULL,
	[CUBECONTNAME] [nvarchar](1024) NULL,
	[GATEWAY] [nvarchar](4000) NULL,
	[HASPROMPTS] [bit] NOT NULL DEFAULT ((0)),
	[PPOPTIONS] [ntext] NULL,
	[DATABLOCKS] [image] NULL,
	[PPDEFPORTACT] [tinyint] NULL,
 CONSTRAINT [PK_CMOBJPROPS27] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMSIZEINFO](
	[STOREID] [varchar](255) NOT NULL,
	[CLASSID] [tinyint] NOT NULL,
	[TOTALFORCLASSID] [tinyint] NOT NULL,
	[TOTALCOUNT] [bigint] NULL,
	[TOTALSIZE] [bigint] NULL,
 CONSTRAINT [PK_CMSIZEINFO] PRIMARY KEY CLUSTERED 
(
	[STOREID] ASC,
	[TOTALFORCLASSID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS28](
	[CMID] [int] NOT NULL,
	[EVENTKEY] [ntext] NULL,
	[EVENTTYPES] [ntext] NULL,
	[FILTERDATAITEM] [nvarchar](256) NULL,
	[PARMASSIGN] [image] NULL,
	[SEQUENCING] [tinyint] NULL,
	[ALLOWNOTIFICATION] [bit] NULL,
	[DEFPORTACTION] [tinyint] NULL,
	[RUNCOND] [tinyint] NULL,
	[SPEC] [ntext] NULL,
 CONSTRAINT [PK_CMOBJPROPS28] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_CONFIGURATION](
	[PROPERTY_KEY] [nvarchar](255) NOT NULL,
	[PROPERTY_VALUE] [nvarchar](255) NULL,
 CONSTRAINT [PN_CONFIGURATION] PRIMARY KEY CLUSTERED 
(
	[PROPERTY_KEY] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_CTMAP](
	[OBJTYPE] [int] NOT NULL,
	[CLASS] [varchar](200) NULL,
	[TABLENAME] [varchar](200) NOT NULL,
	[HELPER] [varchar](200) NULL,
	[REMOTECLASS] [varchar](200) NULL,
 CONSTRAINT [PN_CTMAP] PRIMARY KEY CLUSTERED 
(
	[OBJTYPE] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[CMOBJPROPS3](
	[CMID] [int] NOT NULL,
	[PROPNAME] [varchar](50) NOT NULL,
	[LOCALEID] [smallint] NOT NULL,
	[VALUE] [nvarchar](3772) NULL,
	[ISDEFAULT] [bit] NULL,
	[MAPDLOCALEID] [smallint] NULL,
 CONSTRAINT [PK_CMOBJPROPS3] PRIMARY KEY CLUSTERED 
(
	[CMID] ASC,
	[PROPNAME] ASC,
	[LOCALEID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_DB_VERSION](
	[DB_VERSION_ID] [int] NULL,
	[BUILD] [nvarchar](20) NULL
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_DELIVERYADDRESS](
	[PK_DELADDRESS_ID] [int] NOT NULL,
	[DELIVERY_ADDRESS] [nvarchar](100) NULL,
	[CHANNEL_TYPE] [int] NULL,
	[IS_DEFAULT] [int] NOT NULL,
	[FK_RECIPIENT_ID] [int] NULL,
	[ADDRESS_TYPE] [int] NULL,
 CONSTRAINT [PN_DELIVERYADDRESS] PRIMARY KEY CLUSTERED 
(
	[PK_DELADDRESS_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_MESSAGELINE_ELEMENT](
	[FK_MESSAGESTRUCT_ID] [int] NOT NULL,
	[ELEMENT_NUMBER] [int] NOT NULL,
	[LINE_NO] [int] NOT NULL,
	[TEXT] [nvarchar](2000) NULL,
	[FK_BIE_TOPIC_ID] [int] NULL,
 CONSTRAINT [PN_MESSAGELINE_ELE] PRIMARY KEY CLUSTERED 
(
	[LINE_NO] ASC,
	[ELEMENT_NUMBER] ASC,
	[FK_MESSAGESTRUCT_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[R_MSGSTRUCT_RECIPIENT_DELIVINF](
	[FK_MESSAGESTRUCT_ID] [int] NOT NULL,
	[FK_DELIVERY_INFO_ID] [int] NULL,
	[FK_RECIPIENT_ID] [int] NOT NULL,
	[ADDED_BY_RECIP_ID] [int] NULL,
	[DATE_ADDED] [numeric](18, 0) NULL,
 CONSTRAINT [PR_MSGSTRUCT_RECIP] PRIMARY KEY CLUSTERED 
(
	[FK_RECIPIENT_ID] ASC,
	[FK_MESSAGESTRUCT_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_MESSAGELINE](
	[FK_MESSAGESTRUCT_ID] [int] NOT NULL,
	[LINE_NO] [int] NOT NULL,
	[LINE_TYPE] [int] NULL,
 CONSTRAINT [PN_MESSAGELINE] PRIMARY KEY CLUSTERED 
(
	[LINE_NO] ASC,
	[FK_MESSAGESTRUCT_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[R_MESSAGESTRUCT_TASK](
	[FK_MESSAGESTRUCT_ID] [int] NOT NULL,
	[FK_TASK_ID] [int] NOT NULL,
 CONSTRAINT [PR_MESSAGESTRUCT_T] PRIMARY KEY CLUSTERED 
(
	[FK_TASK_ID] ASC,
	[FK_MESSAGESTRUCT_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[R_TASKSCHEDULE_SCHEDULE](
	[FK_TASKSCHEDULE_ID] [int] NOT NULL,
	[FK_SCHEDULE_ID] [int] NOT NULL,
	[IS_ACTIVE] [int] NULL,
	[IS_ESCALATION] [int] NULL,
 CONSTRAINT [PR_TASKSCHEDULE_SC] PRIMARY KEY CLUSTERED 
(
	[FK_SCHEDULE_ID] ASC,
	[FK_TASKSCHEDULE_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE $(CS_SCHEMA).[NC_TASKSCHEDULE](
	[PK_TASKSCHEDULE_ID] [int] NOT NULL,
	[FK_TASK_ID] [int] NULL,
	[NAME] [nvarchar](255) NULL,
	[DESCRIPTION] [nvarchar](1000) NULL,
	[LASTMOD_BY] [char](40) NULL,
	[MODCOUNT] [int] NOT NULL DEFAULT ((-1)),
	[RUN_REQUIREMENTS] [int] NULL,
	[LAST_EXECUTION_AT] [numeric](19, 0) NULL,
	[NEXT_EXECUTION_REQUEST] [numeric](19, 0) NULL,
	[SCHEDULE_DELAY] [numeric](19, 0) NULL,
	[DELETE_AFTER_LAST_RUN] [int] NULL,
	[PRIORITY] [int] NOT NULL DEFAULT ((3)),
	[SCHEDULED_BY] [nvarchar](256) NULL,
 CONSTRAINT [PN_TASKSCHEDULE] PRIMARY KEY CLUSTERED 
(
	[PK_TASKSCHEDULE_ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
create view $(CS_SCHEMA).[CMOWNERCOUNT](OBJID, OWN_NUMBER) as
SELECT p2.OBJID, count(o.CMID)
FROM CMOBJECTS o left outer join CMREFNOORD2 p1 on p1.CMID = o.CMID
left outer join CMOBJPROPS1 p2 on p1.REFCMID = p2.CMID
GROUP BY p2.OBJID

GO
