--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

USE $(DBNAME)                                                                                                                                                                                     
GO 
CREATE SCHEMA AUTHORIZATION $(CS_SCHEMA)
GO

ALTER TABLE $(CS_SCHEMA).[NC_MESSAGELINE_ELEMENT]  WITH CHECK ADD  CONSTRAINT [F1N_MESSAGELINE_EL] FOREIGN KEY([LINE_NO], [FK_MESSAGESTRUCT_ID])
REFERENCES $(CS_SCHEMA).[NC_MESSAGELINE] ([LINE_NO], [FK_MESSAGESTRUCT_ID])
GO
ALTER TABLE $(CS_SCHEMA).[NC_MESSAGELINE_ELEMENT] CHECK CONSTRAINT [F1N_MESSAGELINE_EL]
GO
ALTER TABLE $(CS_SCHEMA).[R_MSGSTRUCT_RECIPIENT_DELIVINF]  WITH CHECK ADD  CONSTRAINT [F1R_MSGSTRUCT_RECI] FOREIGN KEY([FK_MESSAGESTRUCT_ID])
REFERENCES $(CS_SCHEMA).[NC_MESSAGESTRUCT] ([PK_MS_ID])
GO
ALTER TABLE $(CS_SCHEMA).[R_MSGSTRUCT_RECIPIENT_DELIVINF] CHECK CONSTRAINT [F1R_MSGSTRUCT_RECI]
GO
ALTER TABLE $(CS_SCHEMA).[R_MSGSTRUCT_RECIPIENT_DELIVINF]  WITH CHECK ADD  CONSTRAINT [F3R_MSGSTRUCT_RECI] FOREIGN KEY([FK_RECIPIENT_ID])
REFERENCES $(CS_SCHEMA).[NC_RECIPIENT] ([PK_RECIPIENT_ID])
GO
ALTER TABLE $(CS_SCHEMA).[R_MSGSTRUCT_RECIPIENT_DELIVINF] CHECK CONSTRAINT [F3R_MSGSTRUCT_RECI]
GO
ALTER TABLE $(CS_SCHEMA).[NC_MESSAGELINE]  WITH CHECK ADD  CONSTRAINT [F1N_MESSAGELINE] FOREIGN KEY([FK_MESSAGESTRUCT_ID])
REFERENCES $(CS_SCHEMA).[NC_MESSAGESTRUCT] ([PK_MS_ID])
GO
ALTER TABLE $(CS_SCHEMA).[NC_MESSAGELINE] CHECK CONSTRAINT [F1N_MESSAGELINE]
GO
ALTER TABLE $(CS_SCHEMA).[R_MESSAGESTRUCT_TASK]  WITH CHECK ADD  CONSTRAINT [F1R_MESSAGESTRUCT_] FOREIGN KEY([FK_MESSAGESTRUCT_ID])
REFERENCES $(CS_SCHEMA).[NC_MESSAGESTRUCT] ([PK_MS_ID])
GO
ALTER TABLE $(CS_SCHEMA).[R_MESSAGESTRUCT_TASK] CHECK CONSTRAINT [F1R_MESSAGESTRUCT_]
GO
ALTER TABLE $(CS_SCHEMA).[R_MESSAGESTRUCT_TASK]  WITH CHECK ADD  CONSTRAINT [F2R_MESSAGESTRUCT_] FOREIGN KEY([FK_TASK_ID])
REFERENCES $(CS_SCHEMA).[NC_TASK] ([PK_TASK_ID])
GO
ALTER TABLE $(CS_SCHEMA).[R_MESSAGESTRUCT_TASK] CHECK CONSTRAINT [F2R_MESSAGESTRUCT_]
GO
ALTER TABLE $(CS_SCHEMA).[R_TASKSCHEDULE_SCHEDULE]  WITH CHECK ADD  CONSTRAINT [F1R_TASKSCHEDULE_S] FOREIGN KEY([FK_TASKSCHEDULE_ID])
REFERENCES $(CS_SCHEMA).[NC_TASKSCHEDULE] ([PK_TASKSCHEDULE_ID])
GO
ALTER TABLE $(CS_SCHEMA).[R_TASKSCHEDULE_SCHEDULE] CHECK CONSTRAINT [F1R_TASKSCHEDULE_S]
GO
ALTER TABLE $(CS_SCHEMA).[R_TASKSCHEDULE_SCHEDULE]  WITH CHECK ADD  CONSTRAINT [F2R_TASKSCHEDULE_S] FOREIGN KEY([FK_SCHEDULE_ID])
REFERENCES $(CS_SCHEMA).[NC_SCHEDULE] ([PK_SCHEDULE_ID])
GO
ALTER TABLE $(CS_SCHEMA).[R_TASKSCHEDULE_SCHEDULE] CHECK CONSTRAINT [F2R_TASKSCHEDULE_S]
GO
ALTER TABLE $(CS_SCHEMA).[NC_TASKSCHEDULE]  WITH CHECK ADD  CONSTRAINT [F1N_TASKSCHEDULE] FOREIGN KEY([FK_TASK_ID])
REFERENCES $(CS_SCHEMA).[NC_TASK] ([PK_TASK_ID])
GO
ALTER TABLE $(CS_SCHEMA).[NC_TASKSCHEDULE] CHECK CONSTRAINT [F1N_TASKSCHEDULE]


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

create trigger $(CS_SCHEMA).[CMGUIDS_INSERT_TR] on $(CS_SCHEMA).[CMGUIDS]
instead of insert
as
begin
set nocount on
if	(select count(*) from inserted) <> 0
begin
insert into CMGUIDS ( CMID, GUID ) select CMID, newid() from inserted
end
end

GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

create trigger $(CS_SCHEMA).[CMOBJNAMES_INSORUPD_TR] on $(CS_SCHEMA).[CMOBJNAMES]
instead of insert
as
begin
set nocount on
save transaction SAVEPOINT
if	(select count(*) from inserted) > 1
begin
insert into CMOBJNAMES (CMID, LOCALEID, ISDEFAULT, MAPDLOCALEID, NAME) select CMID, LOCALEID, ISDEFAULT, MAPDLOCALEID, NAME from inserted
if	@@ERROR <> 0
rollback transaction SAVEPOINT
end
else
begin
declare @icmid int
declare @ilocale int
declare @iname nvarchar(256)
/**/
select @icmid=CMID, @ilocale=LOCALEID, @iname=NAME from inserted
update CMOBJNAMES set NAME=@iname where CMID=@icmid and LOCALEID=@ilocale
if	@@ROWCOUNT = 0
insert into CMOBJNAMES (CMID, LOCALEID, ISDEFAULT, MAPDLOCALEID, NAME) select CMID, LOCALEID, ISDEFAULT, MAPDLOCALEID, NAME from inserted
/**/
if  @@ERROR <> 0
rollback transaction SAVEPOINT
end
end

GO
